Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.crypto.pkcs11impl.provider
Class PKCS11RSAKeyPairParameterSpec

    java.lang.Object
      com.ibm.crypto.pkcs11impl.provider.PKCS11RSAKeyPairParameterSpec

All Implemented Interfaces:
  java.security.spec.AlgorithmParameterSpec

    public class PKCS11RSAKeyPairParameterSpec

extends java.lang.Object
implements java.security.spec.AlgorithmParameterSpec

This class specifies a PKCS #11 RSA key pair generation specification

Constructor Summary
`PKCS11RSAKeyPairParameterSpec(int strength, java.lang.String keyIdentifier, java.lang.String subject, java.lang.String label)` PKCS11RSAKeyPairParameterSpec defines the attributes for a RSA key pair.
`PKCS11RSAKeyPairParameterSpec(int strength, java.lang.String keyIdentifier, java.lang.String subject, java.lang.String label, java.lang.Boolean isToken, java.lang.Boolean isSensitive, java.lang.Boolean signing, java.lang.Boolean encryption, java.lang.Boolean wrapping, java.lang.Boolean extractable)` PKCS11RSAKeyPairParameterSpec defines the attributes for a RSA key pair.

Method Summary
`java.lang.Boolean` | `getEncrypt()` Returns if the key pair can be used for encryption/decryption operations.
`java.lang.Boolean` | `getExtractable()` Returns if the private can be wrapped by another key.
`java.lang.String` | `getKeyID()` Returns the associated key identifier.
`java.lang.String` | `getLabel()` Returns the label for the key pair.
`java.lang.Boolean` | `getSensitive()` Returns if the private key is to be sensitive.
`java.lang.Boolean` | `getSign()` Returns if the key pair can be used for signature operations.
`int` | `getStrength()` Returns the strength
`java.lang.String` | `getSubject()` Returns the subject for the key pair.
`java.lang.Boolean` | `getToken()` Returns if the the keys are session or token keys.
`java.lang.Boolean` | `getWrap()` Returns if the key pair can be used for wrapping operations.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PKCS11RSAKeyPairParameterSpec

    public PKCS11RSAKeyPairParameterSpec(int strength,
                                         java.lang.String keyIdentifier,
                                         java.lang.String subject,
                                         java.lang.String label,
                                         java.lang.Boolean isToken,
                                         java.lang.Boolean isSensitive,
                                         java.lang.Boolean signing,
                                         java.lang.Boolean encryption,
                                         java.lang.Boolean wrapping,
                                         java.lang.Boolean extractable)

  PKCS11RSAKeyPairParameterSpec defines the attributes for a RSA key pair.

  Parameters:
    `strength` - the key strength
    `keyIdentifier` - the data that identifies this key pair for another key pair. no * @param subject the subject of the keys that will be associated with a corresponding certificate
    `label` - to describe the keys.
    `isToken` - is set to True if the key pair is to be
    `isSensitive` - is set to True if the private key is sensitive
    `signing` - is set to True if the key pair can be used for signing and verifying data
    `encryption` - is set to True if the key pair can be used for encrypting and decrypting data
    `wrapping` - is set to True if the keys can be used to wrap/unwrap other keys.
    `extractable` - is set to True to allow the private key to be wrapped with another key.

### PKCS11RSAKeyPairParameterSpec

    public PKCS11RSAKeyPairParameterSpec(int strength,
                                         java.lang.String keyIdentifier,
                                         java.lang.String subject,
                                         java.lang.String label)

  PKCS11RSAKeyPairParameterSpec defines the attributes for a RSA key pair. This defaults the key pair to be able to do signature functions, encrypt/decrypt functions and allows the keys to be used for wrapping functions. Also, the private key will not be sensitive and it can be wrapped by another key and the keys are not to be saved on the token.

  Parameters:
    `strength` - the key strength
    `keyIdentifier` - the data that identifies this key pair for another key pair.
    `subject` - the subject of the keys that will be associated with a corresponding certificate
    `label` - to describe the keys.

Method Detail

### getStrength

    public int getStrength()

  Returns the strength

  Returns:
    the strength

### getKeyID

    public java.lang.String getKeyID()

  Returns the associated key identifier.

  Returns:
    the key identifier

### getSubject

    public java.lang.String getSubject()

  Returns the subject for the key pair.

  Returns:
    the subject

### getLabel

    public java.lang.String getLabel()

  Returns the label for the key pair.

  Returns:
    the label

### getSensitive

    public java.lang.Boolean getSensitive()

  Returns if the private key is to be sensitive.

  Returns:
    true if the private key is to be sensitive, null if not specified.

### getToken

    public java.lang.Boolean getToken()

  Returns if the the keys are session or token keys.

  Returns:
    true if keys are token keys, null if not specified.

### getSign

    public java.lang.Boolean getSign()

  Returns if the key pair can be used for signature operations.

  Returns:
    true if the key pair can do signature operations, null if not specified.

### getEncrypt

    public java.lang.Boolean getEncrypt()

  Returns if the key pair can be used for encryption/decryption operations.

  Returns:
    true if the key pair can do encryption/decryption operations, null if not specified.

### getWrap

    public java.lang.Boolean getWrap()

  Returns if the key pair can be used for wrapping operations.

  Returns:
    true if the key pair can do wrapping operations, null if not specified.

### getExtractable

    public java.lang.Boolean getExtractable()

  Returns if the private can be wrapped by another key.

  Returns:
    true if the private key can be wrapped by another key, null if not specified.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD